

.LP
\fBunits\fR 
.ig >>
&nbsp; &nbsp;
.>>
\fCin | cm\fR
.IP \0
The measurement unit to be used for ploticus absolute units.  
Either \fCin\fR (inches) or \fCcm\fR (centimeters).
Default is \fCin\fR.
If this is set in the config file, it will be in effect when command line
arguments are evaluated.  If set in \fBproc settings\fR, it will not have any
effect on command line argument evaluation.
.br
Example: \fCunits: cm\fR

.ig >>
<br><br>
.>>
.ig >>
<a name=encodenames></a>
.>>

.LP
\fBencodenames\fR
.ig >>
&nbsp; &nbsp;
.>>
\fCyes | no\fR
.IP \0
If \fCyes\fR, spaces and commas can be represented in field names using an encoding scheme where
a space is represented using an underscore (_) and a comma is represented using a vertical bar (|).
Useful in situations where field names will be visible directly as legend labels or axis stubs.
Default is \fCno\fR for backward compatibility.
Example: 
.ig >>
<a href="../gallery/students.htm">
.>>
\0students
.ig >>
</a>
.>>

.ig >>
<br><br>
.>>
.LP
\fBenable_suscripts\fR
.ig >>
&nbsp; &nbsp;
.>>
\fCyes | no\fR
.IP \0
If \fCyes\fR, 
.ig >>
<a href="fonts.html">
.>>
\0inline superscripts and subscripts
.ig >>
</a>
.>>
capability is turned on.  Default is \fCno\fR for backward compatibility.
.ig >>
<a href="../gallery/supsub.htm">
.>>
\0Here's an example.
.ig >>
</a>
.>>

.ig >>
<br><br>
.>>

.LP
\fBfont\fR
.ig >>
&nbsp; &nbsp;
.>>
\fIfontname\fR
.IP \0
Make \fIfontname\fR the default font.  
For more information see
.ig >>
<a href="fonts.html">
.>>
\0fonts.
.ig >>
</a>
.>>

.ig >>
<br><br>
.>>

.LP
\fBnumbernotation\fR 
.ig >>
&nbsp; &nbsp;
.>>
\fCstandard | us | euro\fR
.IP \0
Specifies how decimal point and thousands separators will be displayed.  
Default is \fCstandard\fR.
The following table illustrates:
.sp
.nf
 standard           us             euro
----------    ------------    -------------
     79              79               79
     79.5            79.5             79,5  
   4321.79         4321.79          4321,79 
  54321          54,321           54.321
 654321.07      654,321.07       654.321,07
1987654321    1,987,654,321    1.987.654.321


.LP
\fBnumberspacerthreshold\fR  
.ig >>
&nbsp; &nbsp;
.>>
\fIn\fR
.IP \0
Specifies at what numeric magnitude thousands separators will begin to be inserted.
Default is 4, and this is used in the above table.  If it were set to \fC3\fR, the third entry
in the above table would appear like this:
.nf
   4321.79         4,321.79          4.321,79 
.fi


.ig >>
<br><br><br>
.>>
.SH PostScript / EPS settings

\fBps_latin1_encoding\fR
.ig >>
&nbsp; &nbsp;
.>>
\fCyes | no\fR
.IP \0
A latin1 encoding scheme has been added to the postscript driver to make
extended ascii characters consistent with other graphical formats, and this
encoding is in effect by default.  To disenable feature set this to \fCno\fR.
You may want to try this if other applications are having trouble with your EPS files.


.ig >>
<br><br><br>
.>>
.SH SVG / XML settings
.LP
Overall settings affecting 
.ig >>
<a href="svg.html">
.>>
\0SVG graphics.
.ig >>
</a>
.>>

.LP
\fBxml_declaration\fR  
.ig >>
&nbsp; &nbsp;
.>>
\fCyes | no\fR
.IP \0
The default (\fCyes\fR) causes the first line of the SVG result to contain the XML declaration \fC<?xml .. >\fR .
Use \fCno\fR to suppress the XML declaration line if the SVG result is to be embedded into 
a larger XML document.  This may also be done using the \fC-omit_xml_declaration\fR
.ig >>
<a href="pl.1.html">
.>>
\0command line argument.
.ig >>
</a>
.>>

.ig >>
&nbsp; &nbsp;
.>>

.LP
\fBxml_encoding\fR  
.ig >>
&nbsp; &nbsp;
.>>
\fImethod\fR
.IP \0
This may be used to set the XML character encoding method.  
It has no effect when \fCxml_declaration\fR is \fCno\fR.
The default is \fCiso-8859-1\fR which provides Latin and Western European character sets.
For Unicode fonts this should be set to \fCutf-8\fR (for more discussion see the Unicode section in 
.ig >>
<a href="fonts.html">
.>>
\0fonts
.ig >>
</a>
.>>
).  
Equivalent to the \fC-xml_encoding\fR
.ig >>
<a href="pl.1.html">
.>>
\0command line argument.
.ig >>
</a>
.>>

.ig >>
<br><br>
.>>

.LP
\fBsvg_tagparms\fR  
.ig >>
&nbsp; &nbsp;
.>>
\fCtext\fR
.IP \0
Allows allows arbitrary \fCtext\fR to be inserted into the opening \fC<svg>\fR tag.
.br
Example: \fCsvg_tagparms:  height="5cm" width="8cm"\fR

.ig >>
<br><br>
.>>

.LP
\fBsvg_mouseover_js\fR
.ig >>
&nbsp; &nbsp;
.>>
\fCechlin | generic\fR
.IP \0
Specifies the method to use for SVG mouseover.  The default is \fCechlin\fR, which provides
standalone SVG mouseover support (the SVG result will contain embedded references to javascript files
\fCGraphPopups.js\fR and \fCViewBox.js\fR).
Specify \fCgeneric\fR here if you're using some other javascript strategy such as \fCoverlib\fR,
with hooks in the containing HTML file (the strategy available before ploticus version 2.30).
For more discussion, see the
.ig >>
<a href="svg.html#mouseover">
.>>
\0ploticus SVG manual page, mouseover section.
.ig >>
</a>
.>>

.ig >>
<br><br>
.>>

.LP
\fBsvg_linkparms\fR
.ig >>
&nbsp; &nbsp;
.>>
\fCtext\fR
.IP \0
When generating SVG 
.ig >>
<a href="clickmap.html">
.>>
\0clickmap-enabled
.ig >>
</a>
.>>
results, this
allows additional attributes to be supplied to 
.ig >>
<a href="http://www.w3.org/TR/SVG11/linking.html">
.>>
\0SVG's <a .. > construct.
.ig >>
</a>
.>>
Example: 
.br
.nf
#proc settings
svg_linkparms: target="new"  
.fi



.ig >>
<br><br><br>
.>>

.SH System environment

.LP
\fBcpulimit\fR
.ig >>
&nbsp; &nbsp;
.>>
\fInseconds\fR
.IP \0
Number of seconds of CPU time that will be allowed to the \fBpl\fR process
or any spawned subprocesses.  Default is 30 seconds.
Any process exceeding this will abort.

.ig >>
&nbsp; &nbsp;
.>>


.ig >>
<br><br><br>
.>>
.ig >>
<a name=dates></a>
.>>

.SH Date-related

.LP
\fBdateformat\fR 
.ig >>
&nbsp; &nbsp;
.>>
\fIformat\fR
.IP \0
Set the current date format.
\fIformat\fR must be a
date format from the
.ig >>
<a href="dates.html">
.>>
\0dates manual page
.ig >>
</a>
.>>
that includes month, day, and year, for which arithmetic is supported.
To use other arithmetic date formats (such as quarter notation)
specify the format in the 
.ig >>
<a href="areadef.html">
.>>
\0proc areadef
.ig >>
</a>
.>>
xscaletype or yscaletype attribute.
.br
Example: \fCdateformat: dd-mmm-yyyy\fR


.ig >>
&nbsp; &nbsp;
.>>

.LP
\fBomitweekends\fR  
.ig >>
&nbsp; &nbsp;
.>>
\fComit | adjust | yes | no\fR
.IP \0
Allows date plotting as if
Saturdays and Sundays did not exist.
Mondays will follow Fridays directly.  
Useful in certain business and work-related plots.
.br
If \fComit\fR, any Saturday or Sunday dates encountered will be considered invalid and omitted;
however they will not be reported unless the -showbad command line option is used.
.br
If \fCadjust\fR or \fCyes\fR, any Saturday or Sunday dates encountered will be silently adjusted 
to the nearest weekday.


.ig >>
&nbsp; &nbsp;
.>>

.fi
.LP
\fBpivotyear\fR 
.ig >>
&nbsp; &nbsp;
.>>
\fIyy\fR
.IP \0
Set the two digit year that should be used to convert
two-digit years to four-digit years.  If two-digit years are 
used, year values that are less than the pivot year are assumed
to be 21st century years.  Default is 77.
.br
Example: \fCpivotyear: 50\fR

.ig >>
&nbsp; &nbsp;
.>>

.LP
\fBmonths\fR 
.ig >>
&nbsp; &nbsp;
.>>
\fIlist\fR
.IP \0
Specify the three-character month abbreviations to be used, all in lower case,
beginning with the first month.
Default is the English (\fCjan feb mar apr may jun jul aug sep oct nov dec\fR).
.br
Example (Spanish) (must all be on one line): 
.br
\fCmonths: ene feb mar abr pue jun jul ago sep oct nov dic\fR

.ig >>
&nbsp; &nbsp;
.>>

.LP
\fBmonths.abbrev\fR 
.ig >>
&nbsp; &nbsp;
.>>
\fIlist\fR
.IP \0
short month names, capitalized for presentation, begining with the first month.
Default is English (\fCJan Feb Mar Apr May June July Aug Sept Oct Nov Dec\fR).
.br
Example (Spanish) (must all be on one line): 
.br
\fCmonths.abbrev: Ene Feb Mar Abr Pue Jun Jul Ago Sep Oct Nov Dic\fR

.ig >>
&nbsp; &nbsp;
.>>

.LP
\fBmonths.full\fR 
.ig >>
&nbsp; &nbsp;
.>>
\fIlist\fR
.IP \0
full month names, capitalized for presentation.
.br
Example (Spanish) (must all be on one line): 
.br
\fCmonths.full: Enero Febrero Marcha Abril Pueda Junio Julio Agosto Septiembre Octubre Noviembre Diciembre\fR

.ig >>
&nbsp; &nbsp;
.>>

.LP
\fBweekdays\fR  
.ig >>
&nbsp; &nbsp;
.>>
\fIlist\fR
.IP \0
three-character weekday abbreviations, capitalized for presentation,
beginning with Sunday.
.br 
Example (French): \fCweekdays: Dim Lun Mar Mer Jeu Ven Sam\fR
.br
Example (Spanish): \fCweekdays: Dom Lun Mar Mie Jue Vie Sab\fR

.ig >>
&nbsp; &nbsp;
.>>

.LP
\fBlazydates\fR  
.ig >>
&nbsp; &nbsp;
.>>
\fCmonth | day | both\fR
.IP \0
Allow handling of dates where the day component
or the month component is not known.  See
.ig >>
<a href="dates.html">
.>>
\0dates
.ig >>
</a>
.>>
for further discussion of lazy dates.

.ig >>
&nbsp; &nbsp;
.>>

.LP
\fBstrictdatelengths\fR  
.ig >>
&nbsp; &nbsp;
.>>
\fCyes | no\fR
.IP \0
Default is \fCno\fR.
Use \fCyes\fR to ensure that malformed date values will be detected--
for example, if the date format is \fCmm/dd/yyyy\fR a date value such as \fC03/04/2001\fR
would be ok but \fC3/4/2001\fR would result in an error.
If this attribute is \fCno\fR, format checking is relaxed, and the latter case above would be ok.

.ig >>
&nbsp; &nbsp;
.>>

.LP
\fBdtsep\fR  
.ig >>
&nbsp; &nbsp;
.>>
\fIcharacter\fR
.IP
Date / time separator character for datetime data items.
By default this is dot \fC.\fR.  However ISO8601 uses \fCT\fR, eg. 29Mar03T03:16:00\fR ..
This character should be one that never appears in the dates or times themselves.
.br
Example: \fCdtsep: T\fR


